Page MenuHomePhabricator

Update: clang/test/Profile/gcc-flag-compatibility.c to have -flto on AIX
ClosedPublic

Authored by madanial on Jul 26 2021, 11:50 AM.

Details

Summary

Commit: https://reviews.llvm.org/D104803 requires -flto for -fprofile-generate. This causes the current gcc-flag-compatibility.c testcase to fail on AIX. This patch XFAILS the current test case on AIX and adds another testcase that targets AIX specifically with the -flto option.

Diff Detail

Event Timeline

madanial created this revision.Jul 26 2021, 11:50 AM
madanial requested review of this revision.Jul 26 2021, 11:50 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 26 2021, 11:50 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript
madanial retitled this revision from Update: clang/test/Profile/gcc-flag-compatibility.c upstream to have -flto on AIX to Update: clang/test/Profile/gcc-flag-compatibility.c to have -flto on AIX.Jul 26 2021, 12:13 PM
Whitney added inline comments.Jul 26 2021, 2:56 PM
clang/test/Profile/gcc-flag-compatibility.c
10

Add in the comment that gcc-flag-compatibility-aix.c is used to do the testing on AIX.

madanial updated this revision to Diff 362829.Jul 29 2021, 11:31 AM

Adding comment in gcc-flag-compatibility.c indicating that testing for AIX is done in gcc-flag-compatibility-aix.c as suggested

Whitney accepted this revision.Jul 29 2021, 1:35 PM
This revision is now accepted and ready to land.Jul 29 2021, 1:35 PM
madanial marked an inline comment as done.Aug 4 2021, 11:40 AM

I need some help to commit this change as I do not have commit access as of now.

I need some help to commit this change as I do not have commit access as of now.

I will commit it for you today.

This revision was landed with ongoing or failed builds.Aug 9 2021, 7:57 AM
This revision was automatically updated to reflect the committed changes.